Summary: The daemon which starts the flushing of dirty buffers back to disk.
Name: bdflush
Version: 1.5
Release: 1.0.3
Copyright: None
Group: System Environment/Daemons
Source: ftp://tsx-11.mit.edu/pub/linux/sources/system/v1.2/bdflush-1.5.tar.gz
Patch: bdflush-1.5-axp.patch
Patch1: bdflush-1.5-glibc.patch
Buildroot: /var/tmp/bdflush-root

%description
The bdflush process starts the kernel daemon which flushes dirty
buffers back to disk (i.e., writes all unwritten data to disk).
This helps to prevent the buffers from growing too stale.
Bdflush is a basic system process that must run for your system
to operate properly.

%prep
%setup

%patch -p1
%patch1 -p1 -b .glibc

%build
make CFLAGS="-D_GNU_SOURCE $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8

install -s -m 755 bdflush $RPM_BUILD_ROOT/sbin/update
install -m 644 bdflush.8 $RPM_BUILD_ROOT/%{_mandir}/man8/bdflush.8
ln -sf bdflush.8 $RPM_BUILD_ROOT/%{_mandir}/man8/update.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) /sbin/update
%attr(-,root,root) %doc %{_mandir}/man8/bdflush.8*
%attr(-,root,root) %doc %{_mandir}/man8/update.8*

%changelog
* Tue Apr 10 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.5, Release 1.0.3
  - Fixed CFLAGS for i386 builds.
